Bug 1171707 - Corrupted encoding in log files
Summary: Corrupted encoding in log files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-08 12:58 UTC by Vít Ondruch
Modified: 2015-02-20 00:33 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 23:09:07 UTC


Attachments (Terms of Use)
root.log with corrupted characters. (90.17 KB, text/plain)
2014-12-08 12:58 UTC, Vít Ondruch
no flags Details

Description Vít Ondruch 2014-12-08 12:58:37 UTC
Created attachment 965837 [details]
root.log with corrupted characters.

Description of problem:
With Czech environment settings:

$ echo $LANG
cs_CZ.UTF-8

My {build,root}.log files contains mangled local characters such as:

Sestavuji c��lov�� platformy: x86_64
Sestavuji pro c��l x86_64
Prov��d��n��(%prep): /bin/sh -e /var/tmp/rpm-tmp.gW61qc
+ umask 022


Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.2.3-1.fc21.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
See the attached root.log


Expected results:
Encoding in the log is preserved.


Additional info:
I suspect bug 1163037 from being cause of this issue, but I might be wrong.

Comment 1 Miroslav Suchý 2014-12-12 17:35:34 UTC
Michael patch committed as 263fb74

Comment 2 Fedora Update System 2015-01-16 09:56:44 UTC
mock-1.2.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc21

Comment 3 Fedora Update System 2015-01-16 09:57:21 UTC
mock-1.2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc20

Comment 4 Fedora Update System 2015-01-16 10:01:07 UTC
mock-1.2.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el7

Comment 5 Fedora Update System 2015-01-16 10:01:46 UTC
mock-1.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el6

Comment 6 Fedora Update System 2015-01-16 19:10:26 UTC
Package mock-1.2.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0312/mock-1.2.4-1.el7
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-01-21 23:09:07 UTC
mock-1.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-27 03:04:37 UTC
mock-1.2.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-01-28 15:20:35 UTC
mock-1.2.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el7

Comment 10 Fedora Update System 2015-01-28 15:21:49 UTC
mock-1.2.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el6

Comment 11 Fedora Update System 2015-01-28 15:23:01 UTC
mock-1.2.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc20

Comment 12 Fedora Update System 2015-01-28 15:24:10 UTC
mock-1.2.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc21

Comment 13 Fedora Update System 2015-02-02 17:22:30 UTC
mock-1.2.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-02-03 04:42:32 UTC
mock-1.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el6

Comment 15 Fedora Update System 2015-02-03 04:43:08 UTC
mock-1.2.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el7

Comment 16 Fedora Update System 2015-02-03 04:43:31 UTC
mock-1.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc20

Comment 17 Fedora Update System 2015-02-03 04:44:21 UTC
mock-1.2.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc21

Comment 18 Fedora Update System 2015-02-09 05:29:38 UTC
mock-1.2.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-02-15 02:55:37 UTC
mock-1.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-02-20 00:33:01 UTC
mock-1.2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-02-20 00:33:52 UTC
mock-1.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.